#ifndef _FILE_H_
#define _FILE_H_

#include <stdlib.h>
#include <stdio.h>

struct File {
	std::vector<unsigned char> buf;
	File(const char *name, const char *mode) {
		FILE *fp = fopen(name, mode);
		if(fp) {
			fseek(fp, 0, SEEK_END);
			buf.resize(ftell(fp));
			fseek(fp, 0, SEEK_SET);
			fread(&buf[0], 1, buf.size(), fp);
			fclose(fp);
		} else {
			printf("Cant Open File -> %s\n", name);
		}
	}
	
	void *Buf() {
		return (void *)(&buf[0]);
	}
};

#endif

