#ifndef _RANDOM_H_
#define _RANDOM_H_

#include <stdint.h>

//----------------------------------------------------------
//Random
//----------------------------------------------------------
struct Random {
	int32_t a, b, c;
	void Reset() {
		a = 1;
		b = 234567;
		c = 890123;
	}
	Random() {
		Reset();
	}
	
	int32_t Integer() {
		a += b;
		b += c;
		c += a;
		return (a >> 16) & 0xFFFF;
	}
	
	float Float() {
		return (float(Integer()) / float(0x7FFF)) * 2.0 - 1.0;
	}
	
};

#endif
