#version 450 core
#extension GL_EXT_geometry_shader4 : enable
layout(points) in;
layout(triangle_strip, max_vertices = 64) out;

in vec4 in_pos[];
in vec4 in_acc[];
in vec4 in_state[];

out vec4 out_pos;
out vec4 out_acc;
out vec4 out_state;

void main(void) {
	vec3 pos = in_pos[0].xyz;
	out_acc = in_acc[0];
	out_state = in_state[0];
	float width = 0.002;
	gl_Position = vec4(pos + vec3(-width,  width * 1.666, 0.0), 1.0); out_pos = gl_Position; EmitVertex();
	gl_Position = vec4(pos + vec3(-width, -width * 1.666, 0.0), 1.0); out_pos = gl_Position; EmitVertex();
	gl_Position = vec4(pos + vec3( width,  width * 1.666, 0.0), 1.0); out_pos = gl_Position; EmitVertex();
	gl_Position = vec4(pos + vec3( width, -width * 1.666, 0.0), 1.0); out_pos = gl_Position; EmitVertex();
	EndPrimitive();
}
