#version 420
in vec4 pos;
in vec4 acc;
in vec4 state;

out vec4 nextpos;
out vec4 nextacc;
out vec4 nextstate;

void main(void) {
	vec3 p = pos.xyz;
	vec3 a = acc.xyz;
	a.y -= 0.98 * 0.03;
	vec3 temp = p + a * 0.01;
	if(temp.x > 1.0 || temp.x < -1.0) a.x = -a.x;
	if(temp.y > 1.0 || temp.y < -1.0) a.y = -a.y;
	if(temp.z > 1.0 || temp.z < -1.0) a.z = -a.z;
	nextpos = vec4(p + a * 0.01, 1.0);
	nextacc = a.xyzz;
	nextacc.y *= 0.9997;
	nextstate = state;
	//gl_Position = vec4(p, 1.0);
}
